public static final class AuthzPolicy.AuthzRule.To.RequestOperation extends GeneratedMessage implements AuthzPolicy.AuthzRule.To.RequestOperationOrBuilder
Describes properties of one or more targets of a request.
Protobuf type
google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation
Inherited Members
com.google.protobuf.GeneratedMessage.<ContainingT,T>newFileScopedGeneratedExtension(java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ContainingT,T>newMessageScopedGeneratedExtension(com.google.protobuf.Message,int,java.lang.Class<?>,com.google.protobuf.Message)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT)
com.google.protobuf.GeneratedMessage.<ListT>makeMutableCopy(ListT,int)
com.google.protobuf.GeneratedMessage.<T>emptyList(java.lang.Class<T>)
com.google.protobuf.GeneratedMessage.<V>serializeBooleanMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Boolean,V>,com.google.protobuf.MapEntry<java.lang.Boolean,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeIntegerMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Integer,V>,com.google.protobuf.MapEntry<java.lang.Integer,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeLongMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.Long,V>,com.google.protobuf.MapEntry<java.lang.Long,V>,int)
com.google.protobuf.GeneratedMessage.<V>serializeStringMapTo(com.google.protobuf.CodedOutputStream,com.google.protobuf.MapField<java.lang.String,V>,com.google.protobuf.MapEntry<java.lang.String,V>,int)
com.google.protobuf.GeneratedMessage.canUseUnsafe()
com.google.protobuf.GeneratedMessage.emptyBooleanList()
com.google.protobuf.GeneratedMessage.emptyDoubleList()
com.google.protobuf.GeneratedMessage.emptyFloatList()
com.google.protobuf.GeneratedMessage.emptyIntList()
com.google.protobuf.GeneratedMessage.emptyLongList()
com.google.protobuf.GeneratedMessage.internalGetMapFieldReflection(int)
com.google.protobuf.GeneratedMessage.isStringEmpty(java.lang.Object)
com.google.protobuf.GeneratedMessage.mergeFromAndMakeImmutableInternal(com.google.protobuf.CodedInputStream,com.google.protobuf.ExtensionRegistryLite)
com.google.protobuf.GeneratedMessage.newInstance(com.google.protobuf.GeneratedMessage.UnusedPrivateParameter)
com.google.protobuf.GeneratedMessage.parseUnknownFieldProto3(com.google.protobuf.CodedInputStream,com.google.protobuf.UnknownFieldSet.Builder,com.google.protobuf.ExtensionRegistryLite,int)
Static Fields
public static final int HEADER_SET_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
HOSTS_FIELD_NUMBER
public static final int HOSTS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
MCP_FIELD_NUMBER
public static final int MCP_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
METHODS_FIELD_NUMBER
public static final int METHODS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
PATHS_FIELD_NUMBER
public static final int PATHS_FIELD_NUMBER
| Field Value |
| Type |
Description |
int |
|
Static Methods
getDefaultInstance()
public static AuthzPolicy.AuthzRule.To.RequestOperation getDefaultInstance()
getDescriptor()
public static final Descriptors.Descriptor getDescriptor()
newBuilder()
public static AuthzPolicy.AuthzRule.To.RequestOperation.Builder newBuilder()
newBuilder(AuthzPolicy.AuthzRule.To.RequestOperation prototype)
public static AuthzPolicy.AuthzRule.To.RequestOperation.Builder newBuilder(AuthzPolicy.AuthzRule.To.RequestOperation prototype)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseDelimitedFrom(InputStream input)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(byte[] data)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(byte[] data)
| Parameter |
| Name |
Description |
data |
byte[]
|
parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteString data)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(ByteString data)
parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(CodedInputStream input)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(InputStream input)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)
parseFrom(ByteBuffer data)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(ByteBuffer data)
parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
public static AuthzPolicy.AuthzRule.To.RequestOperation parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)
parser()
public static Parser<AuthzPolicy.AuthzRule.To.RequestOperation> parser()
Methods
equals(Object obj)
public boolean equals(Object obj)
| Parameter |
| Name |
Description |
obj |
Object
|
Overrides
getDefaultInstanceForType()
public AuthzPolicy.AuthzRule.To.RequestOperation getDefaultInstanceForType()
public AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet getHeaderSet()
Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
public AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSetOrBuilder getHeaderSetOrBuilder()
Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
getHosts(int index)
public AuthzPolicy.AuthzRule.StringMatch getHosts(int index)
Optional. A list of HTTP Hosts to match against. The match can be one
of exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getHostsCount()
public int getHostsCount()
Optional. A list of HTTP Hosts to match against. The match can be one
of exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
|
getHostsList()
public List<AuthzPolicy.AuthzRule.StringMatch> getHostsList()
Optional. A list of HTTP Hosts to match against. The match can be one
of exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
getHostsOrBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatchOrBuilder getHostsOrBuilder(int index)
Optional. A list of HTTP Hosts to match against. The match can be one
of exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getHostsOrBuilderList()
public List<? extends AuthzPolicy.AuthzRule.StringMatchOrBuilder> getHostsOrBuilderList()
Optional. A list of HTTP Hosts to match against. The match can be one
of exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
hosts per Authorization Policy.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch hosts = 2 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
List<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatchOrBuilder> |
|
getMcp()
public AuthzPolicy.AuthzRule.To.RequestOperation.MCP getMcp()
Optional. Defines the MCP protocol attributes to match on. If the MCP
payload in the request body cannot be successfully parsed, the
request will be denied. This field can be set only for AuthzPolicies
targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
getMcpOrBuilder()
public AuthzPolicy.AuthzRule.To.RequestOperation.MCPOrBuilder getMcpOrBuilder()
Optional. Defines the MCP protocol attributes to match on. If the MCP
payload in the request body cannot be successfully parsed, the
request will be denied. This field can be set only for AuthzPolicies
targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
getMethods(int index)
public String getMethods(int index)
Optional. A list of HTTP methods to match against. Each entry must be
a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE,
OPTIONS). It only allows exact match and is always case sensitive.
Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
The index of the element to return.
|
| Returns |
| Type |
Description |
String |
The methods at the given index.
|
getMethodsBytes(int index)
public ByteString getMethodsBytes(int index)
Optional. A list of HTTP methods to match against. Each entry must be
a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE,
OPTIONS). It only allows exact match and is always case sensitive.
Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
The index of the value to return.
|
| Returns |
| Type |
Description |
ByteString |
The bytes of the methods at the given index.
|
getMethodsCount()
public int getMethodsCount()
Optional. A list of HTTP methods to match against. Each entry must be
a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE,
OPTIONS). It only allows exact match and is always case sensitive.
Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
The count of methods.
|
getMethodsList()
public ProtocolStringList getMethodsList()
Optional. A list of HTTP methods to match against. Each entry must be
a valid HTTP method name (GET, PUT, POST, HEAD, PATCH, DELETE,
OPTIONS). It only allows exact match and is always case sensitive.
Limited to 10 methods per Authorization Policy.
repeated string methods = 4 [(.google.api.field_behavior) = OPTIONAL];
getParserForType()
public Parser<AuthzPolicy.AuthzRule.To.RequestOperation> getParserForType()
Overrides
getPaths(int index)
public AuthzPolicy.AuthzRule.StringMatch getPaths(int index)
Optional. A list of paths to match against. The match can be one of
exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
paths per Authorization Policy.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getPathsCount()
public int getPathsCount()
Optional. A list of paths to match against. The match can be one of
exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
paths per Authorization Policy.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
int |
|
getPathsList()
public List<AuthzPolicy.AuthzRule.StringMatch> getPathsList()
Optional. A list of paths to match against. The match can be one of
exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
paths per Authorization Policy.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
getPathsOrBuilder(int index)
public AuthzPolicy.AuthzRule.StringMatchOrBuilder getPathsOrBuilder(int index)
Optional. A list of paths to match against. The match can be one of
exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
paths per Authorization Policy.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Parameter |
| Name |
Description |
index |
int
|
getPathsOrBuilderList()
public List<? extends AuthzPolicy.AuthzRule.StringMatchOrBuilder> getPathsOrBuilderList()
Optional. A list of paths to match against. The match can be one of
exact, prefix, suffix, or contains (substring match). Matches are
always case sensitive unless the ignoreCase is set. Limited to 10
paths per Authorization Policy.
Note that this path match includes the query parameters. For gRPC
services, this should be a fully-qualified name of the form
/package.service/method.
repeated .google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatch paths = 3 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
List<? extends com.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.StringMatchOrBuilder> |
|
getSerializedSize()
public int getSerializedSize()
| Returns |
| Type |
Description |
int |
|
Overrides
public boolean hasHeaderSet()
Optional. A list of headers to match against in http header.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
boolean |
Whether the headerSet field is set.
|
hasMcp()
Optional. Defines the MCP protocol attributes to match on. If the MCP
payload in the request body cannot be successfully parsed, the
request will be denied. This field can be set only for AuthzPolicies
targeting AgentGateway resources.
.google.cloud.networksecurity.v1.AuthzPolicy.AuthzRule.To.RequestOperation.MCP mcp = 5 [(.google.api.field_behavior) = OPTIONAL];
| Returns |
| Type |
Description |
boolean |
Whether the mcp field is set.
|
hashCode()
| Returns |
| Type |
Description |
int |
|
Overrides
internalGetFieldAccessorTable()
protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Overrides
isInitialized()
public final boolean isInitialized()
Overrides
newBuilderForType()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder newBuilderForType()
newBuilderForType(AbstractMessage.BuilderParent parent)
protected AuthzPolicy.AuthzRule.To.RequestOperation.Builder newBuilderForType(AbstractMessage.BuilderParent parent)
Overrides
toBuilder()
public AuthzPolicy.AuthzRule.To.RequestOperation.Builder toBuilder()
writeTo(CodedOutputStream output)
public void writeTo(CodedOutputStream output)
Overrides